#!/bin/bash

# port mappings
if [ ! -e "/dev/com1" ]; then
  ln -s /dev/ttyS0 /dev/com1
fi

if [ ! -e "/dev/com2" ]; then
  ln -s /dev/ttyS1 /dev/com2
fi

if [ ! -e "/dev/com3" ]; then
  ln -s /dev/ttyS2 /dev/com3
fi

if [ ! -e "/dev/com4" ]; then
  ln -s /dev/ttyS3 /dev/com4
fi

if [ ! -e "/dev/com5" ]; then
  ln -s /dev/ttyS4 /dev/com5
fi

if [ ! -e "/dev/com6" ]; then
  ln -s /dev/ttyS5 /dev/com6
fi

if [ ! -e "/dev/com7" ]; then
  ln -s /dev/ttyS6 /dev/com7
fi

if [ ! -e "/dev/com8" ]; then
  ln -s /dev/ttyS7 /dev/com8
fi

